setwd("~/Downloads/CURRENT/")

data <- read.csv(file = "chiv_dataset.csv")

pdf("noise_model.pdf", width=4)
hist(data[,1], breaks=2500, 
     xlim=c(0,0.3), main="Histogram of Label Noise", xlab = "Intensity")
dev.off()

mean(data[,1])
mean(data[,8])

x <- sort(rpois(100,1))

# x <- seq(0, 4, length=100)
hx <- dpois(x, 1)

degf <- c(0, 1, 2, 3, 4)
colors <- c("red", "blue", "darkgreen", "gold", "black")
labels <- c("df=1", "df=2", "df=8", "df=1")

pdf("Poisson_dist.pdf",width=4)
plot(x, hx, type="l", lty=2, xlab="x value",
     ylab="Density", main="Poisson Distribution")
dev.off()
getwd()
for (i in 1:5){
  lines(x, dpois(x,degf[i]), lwd=2, col=colors[i])
}

legend("topright", inset=.05, title="Distributions",
       labels, lwd=2, lty=c(1, 1, 1, 1, 2), col=colors)